Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
net::EapAuthSettings Struct Reference

EAP authentication settings. More...

## Public Attributes
string | identity
| EAP identity.
string | password
| EAP password (always empty on retrieval!)
boolean | clearPassword
| Set to `true` when password should be cleared.
string | clientCertChain
| client certificate chain
string | clientPrivKey
| client private key (always empty on retrieval!)
boolean | clearClientPrivKey
| Set to `true` to clear the client private key.
string | clientPrivKeyPassword
| password of client private key
EapOuterAuthMethod | outerMethod
| Outer authentication method.
EapInnerAuthMethod | innerMethod
| Inner authentication method.
string | caCertChain
| CA certificate chain.
boolean | forceTrustedCert
| Enforce trusted certificates.
boolean | allowOffTimeRangeCerts
| allow expired and not yet valid TLS certs
boolean | allowNotYetValidCertsIfTimeBeforeBuild
| allow not yet valid TLS certs if More...
string | authServerName
| Name of the RADIUS server (used to verify cert)

## Detailed Description

EAP authentication settings.

## Member Data Documentation

## ◆ allowNotYetValidCertsIfTimeBeforeBuild

boolean net::EapAuthSettings::allowNotYetValidCertsIfTimeBeforeBuild

allow not yet valid TLS certs if

the system time is before the build time

The documentation for this struct was generated from the following file:

- Net.idl